# grafana_annotations – send ansible events as annotations on charts to grafana over http api

New in version 2.6.

- Synopsis
- Requirements
- Parameters
- Status

## Synopsis

- This callback will report start, failed and stats events to Grafana as annotations (https://grafana.com)

## Requirements

The below requirements are needed on the local master node that executes this callback.

- whitelisting in configuration

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
grafana_api_key - |  | ini entries: [callback_grafana_annotations] grafana_api_key = VALUE env:GRAFANA_API_KEY | Grafana API key, allowing to authenticate when posting on the HTTP API. If not provided, grafana_login and grafana_password will be required.
grafana_dashboard_id - |  | ini entries: [callback_grafana_annotations] grafana_dashboard_id = VALUE env:GRAFANA_DASHBOARD_ID | The grafana dashboard id where the annotation shall be created.
grafana_panel_id - |  | ini entries: [callback_grafana_annotations] grafana_panel_id = VALUE env:GRAFANA_PANEL_ID | The grafana panel id where the annotation shall be created.
grafana_password - | Default: "ansible" | ini entries: [callback_grafana_annotations] grafana_password = ansible env:GRAFANA_PASSWORD | Grafana password used for authentication. Ignored if grafana_api_key is provided.
grafana_url - / required |  | ini entries: [callback_grafana_annotations] grafana_url = VALUE env:GRAFANA_URL | Grafana annotations api URL
grafana_user - | Default: "ansible" | ini entries: [callback_grafana_annotations] grafana_user = ansible env:GRAFANA_USER | Grafana user used for authentication. Ignored if grafana_api_key is provided.
http_agent - | Default: "Ansible (grafana_annotations callback)" | ini entries: [callback_grafana_annotations] http_agent = Ansible (grafana_annotations callback) env:HTTP_AGENT | The HTTP 'User-agent' value to set in HTTP requets.

validate_certs
boolean

Choices:
- no
- yes ←

ini entries:

[callback_grafana_annotations]
validate_grafana_certs = yes

[callback_grafana_annotations]
validate_certs = yes

env:GRAFANA_VALIDATE_CERT

validate the SSL certificate of the Grafana server. (For HTTPS url)
aliases: validate_grafana_certs

## Status

- This callback is not guaranteed to have a backwards compatible interface. [preview]
- This callback is maintained by the Ansible Community. [community]

### Authors

- Rémi REY (@rrey)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.